Bug Hunting Session
Bug 51618 - File open dialog doesn't open in folder of document previously opened through Recent Documents list
Summary: File open dialog doesn't open in folder of document previously opened through...
Status: RESOLVED WONTFIX
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Recent-Document-List File-Dialog
  Show dependency treegraph
 
Reported: 2012-07-01 08:04 UTC by Dov Grobgeld
Modified: 2018-11-07 09:42 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dov Grobgeld 2012-07-01 08:04:26 UTC
Problem description: 

It is currently difficult to open a file in the same directory as the file currently opened. The open command does not default to the directory of the last file opened (at least not when using the recent files dialog), but to the document default directory. In order to facilitate the opening of a file in the same directory, I suggest the following enhancement.

When viewing File/Recent Documents, make right-clicking on the document name open a popup menu that contain the field "copy path to clip-board" that will copy the full file path to the clipboard.

It will then be possible to do File/Open, followed by paste, and then manually erasing of the filename to open the directory of the copied file.

But any other method providing the same functionality would be very much appreciated.
Comment 1 Joel Madero 2012-07-09 15:42:42 UTC
I agree with the request and will mark this as NEW and MEDIUM priority. Your solution, I'm not too sure about, but we'll allow the UX team and the devs to decide how best to approach the issue. Appreciate the feedback.
Comment 2 Murz 2015-08-20 07:55:26 UTC
Vote for this feature too! Very often I need to got full path of current open document in clipboard. Maybe we can do this via some macros or plugin?
Comment 3 Murz 2015-08-20 08:00:32 UTC
Here is easy macros that can do popup message with current path of file:
-----------
REM  *****  BASIC  *****

Sub Main
MsgBox thisComponent.url
End Sub
-----------
We can manually create button in toolbar that execute it.
Comment 4 tommy27 2015-08-20 12:54:40 UTC Comment hidden (obsolete)
Comment 5 Joel Madero 2015-08-20 15:40:08 UTC Comment hidden (obsolete)
Comment 6 Yousuf Philips (jay) (retired) 2015-08-20 19:15:13 UTC
I dont think adding a right-click menu to the File > Recent Documents list entries would be the ideal way to solve this problem, as context menus are not used in the menubar.

The correct means of solving this issue, if UX considers it to be a problem, is to have the Open dialog open with the path of the last opened document when the last opened document wasnt opened through the Open dialog. e.g. opening a file from the desktop

So UX, 
1) if a user opens a document from his desktop, which then opens LO, and then he opens the Open dialog, should it open in the desktop folder?
2) if a user opens a document in his home folder through the Open dialog and then opens a document in File > Recent Documents that was on his desktop, should the Open dialog open in the desktop folder when it is next opened?

(In reply to Dov Grobgeld from comment #0)
> But any other method providing the same functionality would be very much
> appreciated.

The simplest means of getting the path of an already open document is to copy it from the File > Properties dialog, though the path tooltip in the Recent Documents list would be sufficient for me to navigate to the same path in the Open dialog.
Comment 7 V Stuart Foote 2015-08-20 19:42:33 UTC
(In reply to Yousuf (Jay) Philips from comment #6)


> So UX, 
> 1) if a user opens a document from his desktop, which then opens LO, and
> then he opens the Open dialog, should it open in the desktop folder?
> 2) if a user opens a document in his home folder through the Open dialog and
> then opens a document in File > Recent Documents that was on his desktop,
> should the Open dialog open in the desktop folder when it is next opened?

No, that just adds a level of complexity that seems unnecessary.

Going to that effort, it would make more sense to add a value to the Tools -> Options -> Paths and a dialog to dynamically set it for "Current working directory" or such.

 
> The simplest means of getting the path of an already open document is to
> copy it from the File > Properties dialog, though the path tooltip in the
> Recent Documents list would be sufficient for me to navigate to the same
> path in the Open dialog.


Actually, think an UNO command linked to a copy shortcut from the tool-tip might be perfect. We already expose the full path of each item listed on the Recent Document menu as a tool-tip.  Would expect it to be straight forward to identify a way to direct that to the clip board, and use it to fill a File dialog--either LibreOffice's Open/Save, or the OS provided.
Comment 8 Yousuf Philips (jay) (retired) 2017-06-20 01:03:51 UTC
Personally i would be against this enhancement as i think the current behaviour if fine as it opens back to the last path previously gone to in the file dialog and i believe others may file a regression bug report to return back the previous behaviour.

But if this is to be implemented, the simplest solution is that if a document is opened through the Recent Documents list, that the document's path would be used the next time the file open dialog is opened, just like we use the currently opened document's path when opening the save as dialog.

UX-Team: Your thoughts?
Comment 9 Heiko Tietze 2017-06-20 07:43:50 UTC
(In reply to Yousuf Philips (jay) from comment #8)
> Personally i would be against this enhancement...

Agree with you to have the current path independently from recently used documents. It doesn't mean the scenario will never happen where the user looks for a document in a path of the recently used. But in most cases a changed behavior is rather unwanted. It just WFM.
Comment 10 V Stuart Foote 2017-06-20 13:33:55 UTC
Think that would be a WONTFIX rather than WFM. So retain current default behavior following the profile set "My Documents" path.

Still, providing some sense from GUI to use dynamic path, i.e. "use Working Directory" (of the open document with program focus, or--on closing all--for the last used document) could be functional.

In either case, providing a UNO command for a direct means to copy full path to clipboard would allow better UX, supporting a Global short-cut, a menu item, or in a button widget.

Then could provide efficient UI, rather than forcing one to dig down to the File -> Properties -> General tab, or of needing to add a field (Fields -> Document -> File name: Path/Filename) to enable copy & paste special. It is just awkward now.
Comment 11 Yousuf Philips (jay) (retired) 2017-06-20 14:45:30 UTC
(In reply to V Stuart Foote from comment #10)
> Still, providing some sense from GUI to use dynamic path, i.e. "use Working
> Directory" (of the open document with program focus, or--on closing all--for
> the last used document) could be functional.

An options dialog option would make sense.

> In either case, providing a UNO command for a direct means to copy full path
> to clipboard would allow better UX, supporting a Global short-cut, a menu
> item, or in a button widget.

This doesnt make sense to me, especially the menu item which i would be completely against.

> Then could provide efficient UI, rather than forcing one to dig down to the
> File -> Properties -> General tab, or of needing to add a field (Fields ->
> Document -> File name: Path/Filename) to enable copy & paste special. It is
> just awkward now.

Guess we'll disagree about the file properties dialog as well. :D
Comment 12 Cor Nouws 2017-06-20 20:04:05 UTC
WontFix is fine for me.
Have any file manager active and switch there to a tab/folder of choice, is also a great help. So there are enough possibilities available IMO.